import { spy } from 'mobx';
import { version } from 'mobx/package';
export default function attachInitializer(target, property, init) {
  var major = version.split('.')[0];

  if (major > 4) {
    console.warn("MobX >4 is not supported yet");
  }

  spy(function (_ref) {
    var type = _ref.type,
        store = _ref.object,
        key = _ref.key;
    if (type !== 'add') return;
    if (property && key !== property) return;
    if (!target.isPrototypeOf(store)) return;
    init(store);
  });
}